import {
  get,
  post
} from '../../utils/http';
Page({

  /**
   * 页面的初始数据
   */
  data: {
    user_rules: '',
    question: {},
    check: false,
    agree: false
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.setData({ 
      agree: wx.getStorageSync('agree') || false,
      check: wx.getStorageSync('agree') || false
     })
    this.getAgreement()
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },

  /**
   * 获取协议内容
   * /api/agreement
  */
  getAgreement() {
    get('api/agreement',{},(res) => {
      this.setData({
        user_rules: res.data.user_rules,
        question: res.data.question
      })
    })
  },

  /**
   * 已阅读
  */
  onBtn() {
    if(!this.data.check) {
      wx.showToast({
        title: '请先确认问诊信息',
        icon: "none"
      })
      wx.pageScrollTo({
        scrollTop: 0,
        duration: 300
      })
      return;
    }
    wx.setStorageSync('agree', true)
    wx.navigateBack()
  },

  /**
   * 免责声明本人承若选框
  */
  checkboxChange(e) {
    this.setData({
      check: Boolean(e.detail.value[0]) || false
    })
  }
})